gdjs.UtilisationCode = {};


gdjs.UtilisationCode.GDToolbarObjects1= [];
gdjs.UtilisationCode.GDTitreObjects1= [];
gdjs.UtilisationCode.GDMenuObjects1= [];
gdjs.UtilisationCode.GDSliderObjects1= [];
gdjs.UtilisationCode.GDSlideObjects1= [];
gdjs.UtilisationCode.GDManuelObjects1= [];
gdjs.UtilisationCode.GDTextObjects1= [];

gdjs.UtilisationCode.conditionTrue_0 = {val:false};
gdjs.UtilisationCode.condition0IsTrue_0 = {val:false};
gdjs.UtilisationCode.condition1IsTrue_0 = {val:false};
gdjs.UtilisationCode.condition2IsTrue_0 = {val:false};
gdjs.UtilisationCode.condition3IsTrue_0 = {val:false};
gdjs.UtilisationCode.condition4IsTrue_0 = {val:false};
gdjs.UtilisationCode.condition5IsTrue_0 = {val:false};
gdjs.UtilisationCode.conditionTrue_1 = {val:false};
gdjs.UtilisationCode.condition0IsTrue_1 = {val:false};
gdjs.UtilisationCode.condition1IsTrue_1 = {val:false};
gdjs.UtilisationCode.condition2IsTrue_1 = {val:false};
gdjs.UtilisationCode.condition3IsTrue_1 = {val:false};
gdjs.UtilisationCode.condition4IsTrue_1 = {val:false};
gdjs.UtilisationCode.condition5IsTrue_1 = {val:false};

gdjs.UtilisationCode.func = function(runtimeScene, context) {
context.startNewFrame();
gdjs.UtilisationCode.GDToolbarObjects1.length = 0;
gdjs.UtilisationCode.GDTitreObjects1.length = 0;
gdjs.UtilisationCode.GDMenuObjects1.length = 0;
gdjs.UtilisationCode.GDSliderObjects1.length = 0;
gdjs.UtilisationCode.GDSlideObjects1.length = 0;
gdjs.UtilisationCode.GDManuelObjects1.length = 0;
gdjs.UtilisationCode.GDTextObjects1.length = 0;


{

gdjs.UtilisationCode.GDMenuObjects1.createFrom(runtimeScene.getObjects("Menu"));

gdjs.UtilisationCode.condition0IsTrue_0.val = false;
gdjs.UtilisationCode.condition1IsTrue_0.val = false;
gdjs.UtilisationCode.condition2IsTrue_0.val = false;
gdjs.UtilisationCode.condition3IsTrue_0.val = false;
{
gdjs.UtilisationCode.condition0IsTrue_0.val = gdjs.evtTools.input.isMouseButtonPressed(runtimeScene, "Left");
}if ( gdjs.UtilisationCode.condition0IsTrue_0.val ) {
{
for(var i = 0, k = 0, l = gdjs.UtilisationCode.GDMenuObjects1.length;i<l;++i) {
    if ( gdjs.UtilisationCode.GDMenuObjects1[i].cursorOnObject(runtimeScene, false) ) {
        gdjs.UtilisationCode.condition1IsTrue_0.val = true;
        gdjs.UtilisationCode.GDMenuObjects1[k] = gdjs.UtilisationCode.GDMenuObjects1[i];
        ++k;
    }
}
gdjs.UtilisationCode.GDMenuObjects1.length = k;}if ( gdjs.UtilisationCode.condition1IsTrue_0.val ) {
{
for(var i = 0, k = 0, l = gdjs.UtilisationCode.GDMenuObjects1.length;i<l;++i) {
    if ( gdjs.UtilisationCode.GDMenuObjects1[i].getAnimation() == 0 ) {
        gdjs.UtilisationCode.condition2IsTrue_0.val = true;
        gdjs.UtilisationCode.GDMenuObjects1[k] = gdjs.UtilisationCode.GDMenuObjects1[i];
        ++k;
    }
}
gdjs.UtilisationCode.GDMenuObjects1.length = k;}if ( gdjs.UtilisationCode.condition2IsTrue_0.val ) {
{
{gdjs.UtilisationCode.conditionTrue_1 = gdjs.UtilisationCode.condition3IsTrue_0;
gdjs.UtilisationCode.conditionTrue_1.val = context.triggerOnce(147532064);
}
}}
}
}
if (gdjs.UtilisationCode.condition3IsTrue_0.val) {
{gdjs.evtTools.runtimeScene.changeScene(runtimeScene, "Menu");
}}

}


{

gdjs.UtilisationCode.GDSlideObjects1.createFrom(runtimeScene.getObjects("Slide"));

gdjs.UtilisationCode.condition0IsTrue_0.val = false;
gdjs.UtilisationCode.condition1IsTrue_0.val = false;
gdjs.UtilisationCode.condition2IsTrue_0.val = false;
gdjs.UtilisationCode.condition3IsTrue_0.val = false;
gdjs.UtilisationCode.condition4IsTrue_0.val = false;
{
gdjs.UtilisationCode.condition0IsTrue_0.val = gdjs.evtTools.input.isMouseButtonPressed(runtimeScene, "Left");
}if ( gdjs.UtilisationCode.condition0IsTrue_0.val ) {
{
for(var i = 0, k = 0, l = gdjs.UtilisationCode.GDSlideObjects1.length;i<l;++i) {
    if ( gdjs.UtilisationCode.GDSlideObjects1[i].cursorOnObject(runtimeScene, false) ) {
        gdjs.UtilisationCode.condition1IsTrue_0.val = true;
        gdjs.UtilisationCode.GDSlideObjects1[k] = gdjs.UtilisationCode.GDSlideObjects1[i];
        ++k;
    }
}
gdjs.UtilisationCode.GDSlideObjects1.length = k;}if ( gdjs.UtilisationCode.condition1IsTrue_0.val ) {
{
for(var i = 0, k = 0, l = gdjs.UtilisationCode.GDSlideObjects1.length;i<l;++i) {
    if ( gdjs.UtilisationCode.GDSlideObjects1[i].getAnimation() == 0 ) {
        gdjs.UtilisationCode.condition2IsTrue_0.val = true;
        gdjs.UtilisationCode.GDSlideObjects1[k] = gdjs.UtilisationCode.GDSlideObjects1[i];
        ++k;
    }
}
gdjs.UtilisationCode.GDSlideObjects1.length = k;}if ( gdjs.UtilisationCode.condition2IsTrue_0.val ) {
{
gdjs.UtilisationCode.condition3IsTrue_0.val = gdjs.evtTools.input.getMouseX(runtimeScene, "", 0) > 10+((( gdjs.UtilisationCode.GDSlideObjects1.length === 0 ) ? 0 :gdjs.UtilisationCode.GDSlideObjects1[0].getWidth())/2);
}if ( gdjs.UtilisationCode.condition3IsTrue_0.val ) {
{
gdjs.UtilisationCode.condition4IsTrue_0.val = gdjs.evtTools.input.getMouseX(runtimeScene, "", 0) < 300-((( gdjs.UtilisationCode.GDSlideObjects1.length === 0 ) ? 0 :gdjs.UtilisationCode.GDSlideObjects1[0].getWidth())/2);
}}
}
}
}
if (gdjs.UtilisationCode.condition4IsTrue_0.val) {
{for(var i = 0, len = gdjs.UtilisationCode.GDSlideObjects1.length ;i < len;++i) {
    gdjs.UtilisationCode.GDSlideObjects1[i].setX(gdjs.evtTools.input.getMouseX(runtimeScene, "", 0)-((gdjs.UtilisationCode.GDSlideObjects1[i].getWidth())/2));
}
}}

}


{

gdjs.UtilisationCode.GDSlideObjects1.createFrom(runtimeScene.getObjects("Slide"));

{gdjs.evtTools.camera.setCameraX(runtimeScene, 20*((( gdjs.UtilisationCode.GDSlideObjects1.length === 0 ) ? 0 :gdjs.UtilisationCode.GDSlideObjects1[0].getPointX(""))), "Déroulable", 0);
}
}


{

gdjs.UtilisationCode.GDManuelObjects1.createFrom(runtimeScene.getObjects("Manuel"));
gdjs.UtilisationCode.GDTextObjects1.createFrom(runtimeScene.getObjects("Text"));

{for(var i = 0, len = gdjs.UtilisationCode.GDTextObjects1.length ;i < len;++i) {
    gdjs.UtilisationCode.GDTextObjects1[i].setAnimation(gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(1)));
}
}{for(var i = 0, len = gdjs.UtilisationCode.GDManuelObjects1.length ;i < len;++i) {
    gdjs.UtilisationCode.GDManuelObjects1[i].setScaleY(1.001);
}
}
}


{

gdjs.UtilisationCode.GDTitreObjects1.createFrom(runtimeScene.getObjects("Titre"));

gdjs.UtilisationCode.condition0IsTrue_0.val = false;
{
gdjs.UtilisationCode.condition0IsTrue_0.val = gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(1)) == 1;
}if (gdjs.UtilisationCode.condition0IsTrue_0.val) {
{for(var i = 0, len = gdjs.UtilisationCode.GDTitreObjects1.length ;i < len;++i) {
    gdjs.UtilisationCode.GDTitreObjects1[i].setString("Commandes");
}
}}

}


{

gdjs.UtilisationCode.GDTitreObjects1.createFrom(runtimeScene.getObjects("Titre"));

gdjs.UtilisationCode.condition0IsTrue_0.val = false;
{
gdjs.UtilisationCode.condition0IsTrue_0.val = gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(1)) == 0;
}if (gdjs.UtilisationCode.condition0IsTrue_0.val) {
{for(var i = 0, len = gdjs.UtilisationCode.GDTitreObjects1.length ;i < len;++i) {
    gdjs.UtilisationCode.GDTitreObjects1[i].setString("Commands");
}
}}

}

return;
}
gdjs['UtilisationCode']= gdjs.UtilisationCode;
